Uses of Class
com.norconex.crawler.web.fetch.impl.httpclient.HttpClientFetcherConfig
Packages that use HttpClientFetcherConfig
-
Uses of HttpClientFetcherConfig in com.norconex.crawler.web.fetch.impl.httpclient
Methods in com.norconex.crawler.web.fetch.impl.httpclient that return HttpClientFetcherConfigModifier and TypeMethodDescriptionHttpClientFetcher.getConfiguration()HttpClientFetcherConfig.setAuthentication(HttpAuthConfig authentication) Authentication configuration for sites requiring it.HttpClientFetcherConfig.setConnectionRequestTimeout(Duration connectionRequestTimeout) Gets the timeout when requesting a connection.HttpClientFetcherConfig.setConnectionTimeout(Duration connectionTimeout) The connection timeout for a connection to be established.HttpClientFetcherConfig.setCookieSpec(HttpClientFetcherConfig.CookieSpec cookieSpec) Cookie specification to use when fetching documents.HttpClientFetcherConfig.setETagDisabled(boolean eTagDisabled) Whether adding "ETag"If-None-MatchHTTP request header is disabled.HttpClientFetcherConfig.setExpectContinueEnabled(boolean expectContinueEnabled) Whether 'Expect: 100-continue' handshake is enabled.HttpClientFetcherConfig.setForceCharsetDetection(boolean forceCharsetDetection) Whether character encoding is detected instead of relying on the charset sometimes found in theContent-TypeHTTP response header.HttpClientFetcherConfig.setForceContentTypeDetection(boolean forceContentTypeDetection) Whether content type is detected instead of relying on returnedContent-TypeHTTP response header.HttpClientFetcherConfig.setHeadersPrefix(String headersPrefix) Optional prefix prepended to captured HTTP response fields.HttpClientFetcherConfig.setHstsDisabled(boolean hstsDisabled) Gets whether the forcing of non secure URLs to secure ones is disabled, according to the URL domainStrict-Transport-Securitypolicy (obtained from HTTP response header).HttpClientFetcherConfig.setHttpMethods(List<HttpMethod> httpMethods) Sets the list of HTTP methods to be accepted by this fetcher.HttpClientFetcherConfig.setIfModifiedSinceDisabled(boolean ifModifiedSinceDisabled) Whether adding theIf-Modified-SinceHTTP request header is disabled.HttpClientFetcherConfig.setLocalAddress(String localAddress) The local address, which may be useful when working with multiple network interfaces.HttpClientFetcherConfig.setMaxConnectionIdleTime(Duration maxConnectionIdleTime) Sets the period of time after which to evict idle connections from the connection pool.HttpClientFetcherConfig.setMaxConnectionInactiveTime(Duration maxConnectionInactiveTime) Sets the period of time a connection must be inactive to be checked in case it became stalled.HttpClientFetcherConfig.setMaxConnections(int maxConnections) The maximum number of connections that can be created.HttpClientFetcherConfig.setMaxConnectionsPerRoute(int maxConnectionsPerRoute) The maximum number of connections that can be used per route.HttpClientFetcherConfig.setMaxRedirects(int maxRedirects) The maximum number of redirects to be followed.final HttpClientFetcherConfigHttpClientFetcherConfig.setNotFoundStatusCodes(List<Integer> notFoundStatusCodes) Sets HTTP status codes to be considered as "Not found" state.HttpClientFetcherConfig.setProxySettings(ProxySettings proxy) HttpClientFetcherConfig.setRedirectUrlProvider(RedirectUrlProvider redirectUrlProvider) The redirect URL provider.HttpClientFetcherConfig.setRequestHeader(String name, String value) Sets a default HTTP request header every HTTP connection should have.HttpClientFetcherConfig.setRequestHeaders(Map<String, String> headers) Sets a default HTTP request headers every HTTP connection should have.HttpClientFetcherConfig.setSniDisabled(boolean sniDisabled) Sets whether Server Name Indication (SNI) is disabled.HttpClientFetcherConfig.setSocketTimeout(Duration socketTimeout) Gets the maximum period of inactivity between two consecutive data packets.HttpClientFetcherConfig.setSslProtocols(List<String> sslProtocols) Sets the supported SSL/TLS protocols, such as SSLv3, TLSv1, TLSv1.1, and TLSv1.2.HttpClientFetcherConfig.setTrustAllSSLCertificates(boolean trustAllSSLCertificates) Sets whether to trust all SSL certificate (affects only "https" connections).HttpClientFetcherConfig.setUserAgent(String userAgent) The user-agent used when identifying the crawler to targeted web sites.HttpClientFetcherConfig.setValidStatusCodes(List<Integer> validStatusCodes) Gets valid HTTP response status codes.